<div class="limiter">
  <div class="container-login100" fxLayout="row">
    <div class="login100-more" style="background-image: url('assets/images/register-background.jpg');"></div>

    <div class="wrap-login100 pl-4 pr-4 pt-5 pb-4">
      <form class="login100-form" fxLayout="column" fxLayoutAlign="space-evenly stretch" (ngSubmit)="onSubmit()" #form="ngForm">
					<span class="login100-form-title pb-5">
						Sign Up
					</span>

        <div class="wrap-input100">
          <span class="label-input100">Full name</span>
          <input class="input100"
                 type="text"
                 name="name"
                 placeholder="Full name..."
                 [(ngModel)]="user.fullname"
                 #name="ngModel"
                 [attr.aria-invalid]="name.invalid && name.touched ? true : null"
                 required>
          <span class="focus-input100"></span>
        </div>

        <div class="wrap-input100">
          <span class="label-input100">Email</span>
          <input class="input100"
                 type="email"
                 name="email"
                 placeholder="Email addess..."
                 [(ngModel)]="user.email"
                 #email="ngModel"
                 [attr.aria-invalid]="email.invalid && email.touched ? true : null"
                 required>
          <span class="focus-input100"></span>
        </div>

        <div class="wrap-input100">
          <span class="label-input100">Username</span>
          <input class="input100"
                 type="text"
                 name="username"
                 placeholder="Username..."
                 [(ngModel)]="user.username"
                 #username="ngModel"
                 [attr.aria-invalid]="username.invalid && username.touched ? true : null"
                 required>
          <span class="focus-input100"></span>
        </div>

        <div class="wrap-input100">
          <span class="label-input100">Password</span>
          <input class="input100"
                 type="password"
                 name="password"
                 placeholder="*************"
                 [(ngModel)]="user.password"
                 #password="ngModel"
                 [attr.aria-invalid]="password.invalid && password.touched ? true : null"
                 required>
          <span class="focus-input100"></span>
        </div>

        <div class="wrap-input100">
          <span class="label-input100">Confirm Password</span>
          <input class="input100"
                 type="password"
                 name="confirm-password"
                 placeholder="*************"
                 [(ngModel)]="confirmPassword"
                 #rePass="ngModel"
                 [attr.aria-invalid]="rePass.invalid && rePass.touched ? true : null"
                 required>
          <span class="focus-input100"></span>
        </div>

        <div class="contact100-form-checkbox mb-5">
          <input class="input-checkbox100" id="ckb1" type="checkbox" name="terms">
          <label class="label-checkbox100" for="ckb1">
								<span class="txt1">
									I agree to the
									<a href="#" class="txt2 hov1">
										Terms of User
									</a>
								</span>
          </label>
        </div>

        <div class="container-login100-form-btn" fxLayout="row" fxLayoutAlign="space-between center">
          <div class="wrap-login100-form-btn">
            <div [ngClass]="{ 'disabled': submitted || !form.valid }" class="login100-form-bgbtn"></div>
            <button [ngClass]="{ 'not-allowed': submitted || !form.valid }"
                    class="login100-form-btn"
                    [disabled]="submitted || !form.valid"
                    [class.btn-pulse]="submitted">
              Sign Up
            </button>
          </div>

          <div class="txt3 mt-3 mb-3">or</div>

          <div>
            <a [routerLink]="'/auth/login'" class="txt3 hov1 pr-3 pt-1 pb-1 pl-3">
              <fa-icon class="mr-1" [icon]="faArrowLeft"></fa-icon>
              Sign in
            </a>

          </div>
        </div>
      </form>
    </div>
  </div>
</div>
